Bug 1335954 - SELinux is preventing dnssec-trigger- from 'create' accesses on the lnk_file resolv.conf.backup.
Summary: SELinux is preventing dnssec-trigger- from 'create' accesses on the lnk_file ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 24
Hardware: x86_64
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:05ff3d678f50ff9cb64df6e124b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-13 15:30 UTC by Luke Macken
Modified: 2016-09-20 02:37 UTC (History)
6 users (show)

Fixed In Version: selinux-policy-3.13.1-188.fc24 selinux-policy-3.13.1-189.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-28 18:34:27 UTC


Attachments (Terms of Use)

Description Luke Macken 2016-05-13 15:30:59 UTC
Description of problem:
SELinux is preventing dnssec-trigger- from 'create' accesses on the lnk_file resolv.conf.backup.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that dnssec-trigger- should be allowed create access on the resolv.conf.backup lnk_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'dnssec-trigger-' --raw | audit2allow -M my-dnssectrigger
# semodule -X 300 -i my-dnssectrigger.pp

Additional Information:
Source Context                system_u:system_r:dnssec_trigger_t:s0
Target Context                system_u:object_r:dnssec_trigger_var_run_t:s0
Target Objects                resolv.conf.backup [ lnk_file ]
Source                        dnssec-trigger-
Source Path                   dnssec-trigger-
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-184.fc24.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.5.3-300.fc24.x86_64 #1 SMP Thu
                              May 5 01:56:27 UTC 2016 x86_64 x86_64
Alert Count                   1
First Seen                    2016-05-12 17:17:03 MDT
Last Seen                     2016-05-12 17:17:03 MDT
Local ID                      49d9f5a3-ca7b-416b-ac86-0ce242c001c8

Raw Audit Messages
type=AVC msg=audit(1463095023.485:490): avc:  denied  { create } for  pid=5482 comm="dnssec-trigger-" name="resolv.conf.backup" scontext=system_u:system_r:dnssec_trigger_t:s0 tcontext=system_u:object_r:dnssec_trigger_var_run_t:s0 tclass=lnk_file permissive=0


Hash: dnssec-trigger-,dnssec_trigger_t,dnssec_trigger_var_run_t,lnk_file,create

Version-Release number of selected component:
selinux-policy-3.13.1-184.fc24.noarch

Additional info:
reporter:       libreport-2.7.0
hashmarkername: setroubleshoot
kernel:         4.5.3-300.fc24.x86_64
reproducible:   Not sure how to reproduce the problem
type:           libreport

Potential duplicate: bug 1292873

Comment 1 Fedora Update System 2016-05-26 05:02:11 UTC
selinux-policy-3.13.1-189.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-43d1395a18

Comment 2 Fedora Update System 2016-05-26 05:03:09 UTC
selinux-policy-3.13.1-188.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3ccd9afa2f

Comment 3 Fedora Update System 2016-05-28 18:34:03 UTC
selinux-policy-3.13.1-189.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.